function love.load()
	print("I'mma runnin mah gaem!")
	love.mouse.setVisible(false)
	love.graphics.setBackgroundColor(0,0,0)
	love.graphics.setColor(255,255,255)
	--Horizontal paddles
	paddleaw = 64
	paddleah = 16
	paddleax = (love.mouse.getX() - paddleaw/2)
	paddleay = 550
	paddlebw = 64
	paddlebh = 16
	paddlebx = (love.mouse.getX() - paddlebw/2)
	paddleby = 50

	--Vertical paddles
	paddlecw = 16
	paddlech = 64
	paddlecx = 50
	paddlecy = (love.mouse.getY() - paddlech/2)
	paddledw = 16
	paddledh = 64
	paddledx = 750
	paddledy = (love.mouse.getY() - paddledh/2)

	--Physics
	love.physics.setMeter(64)
	world = love.physics.newWorld(0,100,false)
	objects = {}
	--That's a paddlin'!
	objects.paddlea = {}
	objects.paddlea.body = love.physics.newBody(world, paddleax,paddleay,"dynamic")
	objects.paddlea.shape = love.physics.newRectangleShape(paddleax,paddleay,paddleaw,paddleah)
	objects.paddlea.fixture = love.physics.newFixture(objects.paddlea.body,objects.paddlea.shape,1)
	objects.paddleb = {}
	objects.paddleb.body = love.physics.newBody(world, paddlebx,paddleby,"kinematic")
	objects.paddleb.shape = love.physics.newRectangleShape(paddlebx,paddleby,paddlebw,paddlebh)
	objects.paddleb.fixture = love.physics.newFixture(objects.paddleb.body,objects.paddleb.shape,1)
	objects.paddlec = {}
	objects.paddlec.body = love.physics.newBody(world, paddlecx,paddlecy,"kinematic")
	objects.paddlec.shape = love.physics.newRectangleShape(paddlecx,paddlecy,paddlecw,paddlech)
	objects.paddlec.fixture = love.physics.newFixture(objects.paddlea.body,objects.paddlec.shape,1)
	objects.paddled = {}
	objects.paddled.body = love.physics.newBody(world,paddledx,paddledy,"kinematic")
	objects.paddled.shape = love.physics.newRectangleShape(paddledx,paddledy,paddledw,paddledh)
	objects.paddled.fixture = love.physics.newFixture(objects.paddlea.body,objects.paddled.shape,1)	
	--Dropping the Ball
	objects.ball = {}
	objects.ball.body = love.physics.newBody(world,800/2,600/2, "dynamic")
	objects.ball.shape = love.physics.newCircleShape(8)
	objects.ball.fixture = love.physics.newFixture(objects.ball.body,objects.ball.shape,1)
	objects.ball.fixture:setRestitution(1)
	objects.ball.fixture:setFriction(0)
end

function love.draw()
	love.graphics.circle("fill", objects.ball.body:getX(), objects.ball.body:getY(), 8)
	--Check mouse movement
	local x = love.mouse.getX()
	local y = love.mouse.getY()
	--Set boundaries
	if x < 100 then
		x = 100
	end
	if x > 716 then
		x = 716
	end
	if y < 100 then
		y = 100
	end
	if y > 516 then
		y = 516
	end
	--Horizontal paddle movement
	paddleax = x - (paddleaw/2)
	love.graphics.rectangle("fill",paddleax,paddleay,paddleaw,paddleah)
	paddlebx = x - (paddlebw/2)
	love.graphics.rectangle("fill",paddlebx,paddleby,paddlebw,paddlebh)
	--Vertical paddle movement
	paddlecy = y - (paddlech/2)
	paddlecshape = love.graphics.rectangle("fill",paddlecx,paddlecy,paddlecw,paddlech)
	paddledy = y - (paddledh/2)
	paddledshape = love.graphics.rectangle("fill",paddledx,paddledy,paddledw,paddledh)
end

function love.update(dt)
	objects.paddlea.body:setX(love.mouse.getX())
	objects.paddleb.body:setX(love.mouse.getX())
	objects.paddlec.body:setY(love.mouse.getY())
	objects.paddled.body:setY(love.mouse.getY())
	world:update(dt)
end

function love.focus(bool)
end

function love.keypressed( key, unicode )
	if key == "escape" then love.event.quit() end
end

function love.keyreleased( key, unicode )
end

function love.mousepressed( x, y, button )
end

function love.mousereleased( x, y, button )
end

function love.quit()
end